Summary:       Source code editing widget
Name:          gtksourceview4
Version:       4.8.4
Release:       6%{?dist}
License:       LGPLv2+
URL:           https://wiki.gnome.org/Projects/GtkSourceView
Source0:       https://download.gnome.org/sources/gtksourceview/4.8/gtksourceview-%{version}.tar.xz

Patch3000:     0001-language-specs-use-N-U-escape-sequences.patch

BuildRequires: gcc gettext itstool meson vala pkgconfig(gdk-pixbuf-2.0) pkgconfig(gladeui-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0) pkgconfig(glib-2.0) pkgconfig(gtk+-3.0) pkgconfig(libxml-2.0) pkgconfig(pango)

Requires: glib2 gtk3

%description
GtkSourceView is a GNOME library that extends GtkTextView, the standard GTK+ widget for multiline
text editing. GtkSourceView adds support for syntax highlighting, undo/redo, file loading and
saving, search and replace, a completion system, printing, displaying line numbers, and other
features typical of a source code editor.

This package contains version 4 of GtkSourceView.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%package        tests
Summary:        Tests for the %{name} package
Requires:       %{name} = %{version}-%{release}

%description    tests
The %{name}-tests package contains tests that can be used to verify the functionality of the
installed %{name} package.

%prep
%autosetup -n gtksourceview-%{version} -p1

%build
%meson \
    -Dgtk_doc=false \
    -Dglade_catalog=true \
    -Dinstall_tests=true \
    %{nil}
%meson_build

%install
%meson_install

%find_lang gtksourceview-4

%files -f gtksourceview-4.lang
%license COPYING
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GtkSource-4.typelib
%{_libdir}/libgtksourceview-4.so.0*
%{_datadir}/gtksourceview-4/

%files devel
%{_includedir}/gtksourceview-4/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgtksourceview-4.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GtkSource-4.gir
%dir %{_datadir}/glade
%dir %{_datadir}/glade/catalogs
%{_datadir}/glade/catalogs/gtksourceview.xml
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gtksourceview-4.deps
%{_datadir}/vala/vapi/gtksourceview-4.vapi

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/gtksourceview-4/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/gtksourceview-4/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.4-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.4-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 6 2023 Shuo Wang <abushwang@tencent.com> - 4.8.4-1
- initial build
